import { ComponentProps, FC } from 'react';
import { SortButton, SortTypes } from '../../../main';
import Recommendations from '../Recommendations';
import { SearchType } from '../SearchType';
import Warning from '../Warning';
export declare const typeGroupsList: readonly ["recommended", "new"];
export declare type TypeGroups = typeof typeGroupsList[number];
export declare const defaultSearchFields: SearchFields;
export declare type SearchFields = {
    searchString: string;
    sort: SortTypes;
    page: number;
    type: TypeGroups;
};
export declare type SearchState = {
    isLoading: boolean;
    isFilterEmpty: boolean;
    itemsCount: number;
};
export declare type SearchStatePick = SearchState & {
    multipleSearchTypes: {
        availableSearchTypes: SearchType[];
        currentSearchType: SearchType;
        onSelect: (option: SearchType) => void;
    };
    searchTitle?: never;
};
export declare type SearchStateTitle = SearchState & {
    multipleSearchTypes?: never;
    searchTitle?: string;
};
declare type Props = {
    onFilterIconClick: () => void;
    setSkipNextSearchChange?: (value: boolean) => void;
    onSearchChange: (searchData: SearchFields) => void;
    skipNextSearchChange?: boolean;
    lastSubmittedSearchValue?: string;
    backеToAllButton?: {
        text: string;
        onClick: () => void;
    };
    relatedSearch?: string[];
    searchState: SearchStatePick | SearchStateTitle;
    searchFields?: SearchFields;
    children: JSX.Element;
    t: {
        sortButtonT: Pick<ComponentProps<typeof SortButton>, 't'>['t'];
        warningT: Pick<ComponentProps<typeof Warning>, 't'>['t'];
        recommendationsT: Pick<ComponentProps<typeof Recommendations>, 't'>['t'];
        searchPlaceholder: string;
        noResults: string;
        noResultsDescriptoin: string;
    };
};
declare const SearchContent: FC<Props>;
export default SearchContent;
